HD-RUM-TRANSCODE(1)

NAME
hd-rum-transcode - transcoding reflector for UltraGrid

SYNOPSIS

hd-rum-transcode [global_opts] buffer_size port [host1_options] host1 [[host2_options] host2] ...

OPTIONS

    where global_opts may be:
            --control-port <port_number>[:0|:1] - control port to connect to, optionally client/server (default)
            --blend - enable blending from original to newly received stream, increases latency
            --conference <width>:<height>[:fps] - enable combining of multiple inputs, increases latency
            --capture-filter <cfg_string> - apply video capture filter to incoming video
            --param - additional parameters
            --help
            --verbose
            -v - print version
    and hostX_options may be:
            -P [<rx_port>:]<tx_port> - TX port to be used (optionally also RX)
            -c <compression> - compression
            Following options will be used only if '-c' parameter is set:
            -m <mtu> - MTU size
            -l <limiting_bitrate> - bitrate to be shaped to
            -f <fec> - FEC that will be used for transmission.
            -6 - use IPv6

NOTES

Please note that blending and capture filter is used only for host for which compression is specified (transcoding is active). If compression is not set, simple packet retransmission is used. Compression can be also’none' for uncompressed transmission (see’uv -c help' for list).

Transcoder can be used as a reflector also for audio (and must be used if audio is deployed). It doesn’t have, however, any transcoding facilities for audio. Only port remapping can be used for audio.

EXAMPLES

  Basic example

hd-rum-transcode 8M 5004 receiver1 receiver2 -c JPEG receiver3 # video hd-rum-transcode 8M 5006 receiver1 receiver2 receiver3 # audio - no transcoding

  Reflector running on UltraGrid sender machine

uv -t testcard -s testcard -P 6004:5004:6006:5006 localhost hd-rum-transcode 8M 5004 receiver1 receiver2 -c JPEG receiver3 # video hd-rum-transcode 8M 5006 receiver1 receiver2 receiver3 # audio

ENVIRONMENT VARIABLES

ULTRAGRID_VERBOSE
    If is ULTRAGRID_VERBOSE environment variable is set, default UltraGrid log level is verbose. Command-line option always overrides this value.

REPORTING BUGS

Report bugs to ultragrid-dev@cesnet.cz or use project GitHub to describe issues.

RESOURCES

    • GitHub: https://github.com/CESNET/UltraGrid

    • Wiki (on-line documentation): https://github.com/CESNET/UltraGrid/wiki

    • Main web site: http://www.ultragrid.cz

SEE ALSO

hd-rum(1) uv(1)